Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.classifiers.performanceMeasures
Class SensitivityForFixedSpecificity

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.classifiers.performanceMeasures.AbstractPerformanceMeasure
              de.jstacs.classifiers.performanceMeasures.TwoClassAbstractPerformanceMeasure
                  de.jstacs.classifiers.performanceMeasures.SensitivityForFixedSpecificity

All Implemented Interfaces:
  NumericalPerformanceMeasure, GalaxyConvertible, Storable, Cloneable

    public class SensitivityForFixedSpecificity

extends TwoClassAbstractPerformanceMeasure
implements NumericalPerformanceMeasure

This class implements the sensitivity for a fixed specificity. The sensitivity is defined as and the specificity is defined as . The classification threshold for computing the sensitivity is chosen such that the classifier yields at least the specified specificity.

Author:
  Jan Grau, Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent`

Constructor Summary
`SensitivityForFixedSpecificity()` Constructs a new instance of the performance measure `SensitivityForFixedSpecificity` with empty parameter values.
`SensitivityForFixedSpecificity(double specificity)` Constructs a new instance of the performance measure `SensitivityForFixedSpecificity` with given `specificity`.
`SensitivityForFixedSpecificity(StringBuffer xml)` The standard constructor for the interface `Storable`.

Method Summary
`NumericalResultSet` | `compute(double[][][] classSpecificScores)` This method allows to compute the performance measure of given class specific scores.
`NumericalResultSet` | `compute(double[] sortedScoresClass0, double[] sortedScoresClass1)` This method allows to compute the performance measure of given sorted score ratios.
`String` | `getName()` The method returns the name of the performance measure.

Methods inherited from class de.jstacs.classifiers.performanceMeasures.TwoClassAbstractPerformanceMeasure
`getAllowedNumberOfClasses`

Methods inherited from class de.jstacs.classifiers.performanceMeasures.AbstractPerformanceMeasure
`getCollectionOfAllMeasures`

Methods inherited from class de.jstacs.parameters.ParameterSet
`clone, fromGalaxy, fromXML, getAllParameterNames, getComment, getComment, getErrorMessage, getIndex, getName, getName, getNumberOfParameters, getParameterAt, getParameterForName, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isComparable, parametersLoaded, reset, setParent, toGalaxy, toXML`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SensitivityForFixedSpecificity

    public SensitivityForFixedSpecificity()

  Constructs a new instance of the performance measure `SensitivityForFixedSpecificity` with empty parameter values.

### SensitivityForFixedSpecificity

    public SensitivityForFixedSpecificity(double specificity)
                                   throws Exception

  Constructs a new instance of the performance measure `SensitivityForFixedSpecificity` with given `specificity`.

  Parameters:
    `specificity` - the specificity for which the sensitivity should be computed
  Throws:
    `Exception` - if the internal parameters can not be created or the value can not be set

### SensitivityForFixedSpecificity

    public SensitivityForFixedSpecificity(StringBuffer xml)
                                   throws NonParsableException

  The standard constructor for the interface `Storable`. Constructs a `SensitivityForFixedSpecificity` out of an XML representation.

  Parameters:
    `xml` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `SensitivityForFixedSpecificity` could not be reconstructed out of the `StringBuffer` `xml`

Method Detail

### getName

    public String getName()

  Description copied from class: `AbstractPerformanceMeasure`
  The method returns the name of the performance measure.

  Specified by:
    `getName` in class `AbstractPerformanceMeasure`
  Returns:
    the name of the performance measure

### compute

    public NumericalResultSet compute(double[] sortedScoresClass0,
                                      double[] sortedScoresClass1)

  Description copied from class: `AbstractPerformanceMeasure`
  This method allows to compute the performance measure of given sorted score ratios. This method can only be used for binary classifiers.

  Specified by:
    `compute` in interface `NumericalPerformanceMeasure`
  Specified by:
    `compute` in class `AbstractPerformanceMeasure`
  Parameters:
    `sortedScoresClass0` - the sorted score ratios of class 0
    `sortedScoresClass1` - the sorted score ratios of class 1
  Returns:
    a result set containing the results of the performance measure
  See Also:
    `Arrays.sort(double[])`

### compute

    public NumericalResultSet compute(double[][][] classSpecificScores)

  Description copied from class: `AbstractPerformanceMeasure`
  This method allows to compute the performance measure of given class specific scores.

  Specified by:
    `compute` in interface `NumericalPerformanceMeasure`
  Overrides:
    `compute` in class `TwoClassAbstractPerformanceMeasure`
  Parameters:
    `classSpecificScores` - the scores; first dimension = data sets, second dimension = sequences of the data set, third dimension classes of the classifier
  Returns:
    a result set containing the results of the performance measure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD